<?php
/**
 * @version    5.1.0
 * @package    Com_Gavoting
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2020 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;

$wa = $this->document->getWebAssetManager();
$wa->getRegistry()->addExtensionRegistryFile('com_gavoting');
$wa->useScript('keepalive')
	->useScript('form.validate');

?>

<form
	action="<?php echo Route::_('index.php?option=com_gavoting&view=nomination&layout=edit&id=' . (int) $this->item->id); ?>"
	method="post" enctype="multipart/form-data" name="adminForm" id="nomination-form" class="form-validate form-horizontal">

	<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'general')); ?>

    	<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_GAVOTING_TAB_NOMINATION', true)); ?>
        	<div class="row-fluid">
        		<div class="span10 form-horizontal">
        			<fieldset class="adminform">
        				<?php echo $this->form->renderFieldset('general'); ?>
        			</fieldset>
        		</div>
        	</div>
    	<?php echo HTMLHelper::_('uitab.endTab'); ?>
    
    	<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'extrainfo', Text::_('COM_GAVOTING_TAB_XTRAINFO', true)); ?>
        	<div class="row-fluid">
        		<div class="span10 form-horizontal">
        			<fieldset class="adminform">
        				<?php echo $this->form->renderFieldset('extrainfo'); ?>
        			</fieldset>
        		</div>
        	</div>
    	<?php echo HTMLHelper::_('uitab.endTab'); ?>
    
    	<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'sysinfo', Text::_('COM_GAVOTING_TAB_SYSINFO', true)); ?>
        	<div class="row-fluid">
        		<div class="span10 form-horizontal">
        			<fieldset class="adminform">
        				<?php echo $this->form->renderFieldset('sysinfo'); ?>
        				<?php if ($this->state->params->get('save_history', 1)) : ?>
        					<div class="control-group">
        						<div class="control-label"><?php echo $this->form->getLabel('version_note'); ?></div>
        						<div class="controls"><?php echo $this->form->getInput('version_note'); ?></div>
        					</div>
        				<?php endif; ?>
        			</fieldset>
        		</div>
        	</div>
    	<?php echo HTMLHelper::_('uitab.endTab'); ?>

	<?php echo HTMLHelper::_('uitab.endTabSet'); ?>

	<input type="hidden" name="task" value=""/>
	<?php echo HTMLHelper::_('form.token'); ?>

</form>
