/**
 * @version     5.1.0
 * @package     com_gavoting
 * @copyright   2021 Glenn Arkell
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Glenn Arkell <glenn@glennarkell.com.au>
 * Special thanks to Zollie (JSE) for guidance on this at
 * https://joomla.stackexchange.com/questions/32866/use-ajax-to-refresh-available-options
 */

window.addEventListener("load", () => {

    // add your form id to the selector!        
    const form1 = document.getElementById('form-voter');

    const selectEl = form1.querySelectorAll('select');

    selectEl.forEach((selEl) => {
        
        selEl.addEventListener("change", () => {

            const opsCollection = selEl.options;
            
            let indexValue = selEl.options[selEl.selectedIndex];
            let textValue = indexValue.text;
            let selOptionFieldValue = indexValue.value;
            
            deleteEl(form1, textValue);
            addOption(selEl, textValue, selOptionFieldValue);
        });
    });
});

function deleteEl (form, textValue) {
    const selectEl2 = form.querySelectorAll('select');
    for (let index = 0; index < selectEl2.length; index++) {
        const opsCollection = selectEl2[index].options;
        
        for (let i = 0; i < opsCollection.length; i++) {
                                    
            if (opsCollection[i].text == textValue  ) {            
                selectEl2[index].removeChild(opsCollection[i]);
            }
        };            
    }
}

function addOption(el, textValue, optValue) {
    const opt = document.createElement('option');
    opt.value = optValue;
    opt.text = textValue;
    el.appendChild(opt);
    opt.selected = true;
}
