<?php
/**
 * @version     5.1.0
 * @package     com_gavoting
 * @subpackage  mod_gavoting
 * @author      Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright   2022 Glenn Arkell
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use \GlennArkell\Module\Gavoting\Site\Helper\GavotingHelper;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GavotingHelper AS GavotingCompHelper;

$lang = Factory::getLanguage();
$lang->load('mod_gavoting', JPATH_SITE);

$moduleclass_sfx	= $params->get('moduleclass_sfx', '');
$ht = $params->get('header_tag');
$hc = $params->get('header_class');
$electYear = $params->get('election_year');
if ($electYear) {
    $election_year = GavotingCompHelper::getCategoryName($electYear);
} else {
    $election_year = $electYear;
}
$cntr = 0;

?>

<?php if (!empty($elects)) : ?>
	<div class="mod_gavoting<?php echo $module->id; ?>" >
        <div id="election<?php echo $module->id; ?>">
        <?php foreach ($elects as $elect) : $elected = $elect->elected > '' ? $elect->elected : ' <em>vacant</em> '; $cntr++; ?>
    		<?php if ($elect->election_year == $election_year) : ?>
    			<?php if ($cntr == 1) { echo '<h4 class="center">'.$election_year.'</h4>'; } ?>
                <?php echo '<strong>' . $elect->pos_name . ': </strong>' . $elected . '<br />'; ?>
            <?php else :  $election_year = $elect->election_year; ?>
                <h4 class="center"><?php echo $election_year; ?></h4>
    			<?php echo '<strong>' . $elect->pos_name . ': </strong>' . $elected . '<br />'; ?>
    		<?php endif; ?>
    	<?php endforeach; ?>
    	</div>
	</div>
<?php else : ?>
    <?php echo Text::_('MOD_GAVOTING_HEADER_ELECTION_NORESULTS'); ?>
<?php endif; ?>
